/*
 * SelectionNotAtomByIdAction.hpp
 *
 *  Created on: May 12, 2010
 *      Author: heber
 */

#ifndef NOTATOMBYIDACTION_HPP_
#define NOTATOMBYIDACTION_HPP_

#include "Actions/Action.hpp"

class SelectionNotAtomByIdAction : public Action {
public:
  SelectionNotAtomByIdAction();
  virtual ~SelectionNotAtomByIdAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Dialog* createDialog();
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* NOTATOMBYIDACTION_HPP_ */
