/*
 * SelectionAtomByIdAction.hpp
 *
 *  Created on: May 12, 2010
 *      Author: heber
 */

#ifndef ATOMBYIDACTION_HPP_
#define ATOMBYIDACTION_HPP_

#include "Actions/Action.hpp"

class SelectionAtomByIdAction : public Action {
public:
  SelectionAtomByIdAction();
  virtual ~SelectionAtomByIdAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Dialog* createDialog();
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* ATOMBYIDACTION_HPP_ */
